Notification handlers
GET https://olinke.com/api/notification-handlers/
curl --request GET \
--url 'https://olinke.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://olinke.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| Parametrar | Detaljer | Beskrivning |
|---|---|---|
| search | Valfritt StrÀng | SökstrÀngen. |
| search_by | Valfritt StrÀng | Vilket fÀlt söker du efter? TillÄtna vÀrden Àr: name. |
| is_enabled | Valfritt Boolean | |
| type | Valfritt StrÀng | Vilket fÀlt söker du efter? TillÄtna vÀrden Àr: email, webhook, slack, discord, telegram, microsoft_teams, twilio, twilio_call, whatsapp, x, google_chat, internal_notification, push_subscriber_id. |
| datetime_field | Valfritt StrÀng | TillÄtna vÀrden: datetime, last_datetime |
| datetime_start | Valfritt StrÀng | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Valfritt StrÀng | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Valfritt StrÀng | Vilket fÀlt att sortera resultaten efter. TillÄtna vÀrden Àr: notification_handler_id, datetime, last_datetime, name. |
| order_type | Valfritt StrÀng | Ordningen av resultaten. TillÄtna vÀrden Àr: ASC för stigande ordning, och DESC för fallande ordning. |
| search | Valfritt StrÀng | SökstrÀngen. |
| search_by | Valfritt StrÀng | Vilket fÀlt söker du efter? TillÄtna vÀrden Àr: name. |
| is_enabled | Valfritt Boolean | |
| type | Valfritt StrÀng | Vilket fÀlt söker du efter? TillÄtna vÀrden Àr: email, webhook, slack, discord, telegram, microsoft_teams, twilio, twilio_call, whatsapp, x, google_chat, internal_notification, push_subscriber_id. |
| datetime_field | Valfritt StrÀng | TillÄtna vÀrden: datetime, last_datetime |
| datetime_start | Valfritt StrÀng | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Valfritt StrÀng | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Valfritt StrÀng | Vilket fÀlt att sortera resultaten efter. TillÄtna vÀrden Àr: notification_handler_id, datetime, last_datetime, name. |
| order_type | Valfritt StrÀng | Ordningen av resultaten. TillÄtna vÀrden Àr: ASC för stigande ordning, och DESC för fallande ordning. |
| page | Valfritt Heltal | Sidanummeret som du vill ha resultat frÄn. StandardinstÀllning Àr 1. |
| results_per_page | Valfritt Heltal | Hur mÄnga resultat vill du ha per sida. TillÄtna vÀrden Àr: 10, 25, 50, 100, 250, 500, 1000. StandardvÀrde Àr 25. |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-04-17 06:20:49",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://olinke.com/api/notification-handlers?page=1",
"last": "https://olinke.com/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://olinke.com/api/notification-handlers?page=1"
}
}
GET https://olinke.com/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://olinke.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://olinke.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-04-17 06:20:49",
}
}
POST https://olinke.com/api/notification-handlers
| Parametrar | Detaljer | Beskrivning |
|---|---|---|
| name | Obligatoriskt StrÀng | - |
| type | Obligatoriskt StrÀng | TillÄtna vÀrden: email, webhook, slack, discord, telegram, microsoft_teams, twilio, twilio_call, whatsapp, x, google_chat, internal_notification, push_subscriber_id |
| Valfritt StrÀng | TillgÀnglig nÀr: type = email Email | |
| webhook | Valfritt StrÀng | TillgÀnglig nÀr: type = webhook Webhook URL |
| slack | Valfritt StrÀng | TillgÀnglig nÀr: type = slack Slack webhook URL |
| discord | Valfritt StrÀng | TillgÀnglig nÀr: type = discord Discord webhook URL |
| telegram | Valfritt StrÀng | TillgÀnglig nÀr: type = telegram Telegram API Token |
| telegram_chat_id | Valfritt StrÀng | TillgÀnglig nÀr: type = telegram Telegram Chat ID |
| microsoft_teams | Valfritt StrÀng | TillgÀnglig nÀr: type = microsoft_teams Microsoft Teams webhook URL |
| google_chat | Valfritt StrÀng | TillgÀnglig nÀr: type = google_chat Google Chat webhook URL |
| x_consumer_key | Valfritt StrÀng | TillgÀnglig nÀr: type = x Telegram API Token |
| x_consumer_secret | Valfritt StrÀng | TillgÀnglig nÀr: type = x Telegram API Token |
| x_access_token | Valfritt StrÀng | TillgÀnglig nÀr: type = x Telegram API Token |
| x_access_token_secret | Valfritt StrÀng | TillgÀnglig nÀr: type = x Telegram API Token |
| push_subscriber_id | Valfritt StrÀng | TillgÀnglig nÀr: type = push_subscriber_id Push subscriber |
| twilio | Valfritt StrÀng | TillgÀnglig nÀr: type = twilio Phone number |
| twilio_call | Valfritt StrÀng | TillgÀnglig nÀr: type = twilio_call Phone number |
| Valfritt StrÀng | TillgÀnglig nÀr: type = whatsapp Phone number |
curl --request POST \
--url 'https://olinke.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
--url 'https://olinke.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
{
"data": {
"id": 1
}
}
POST https://olinke.com/api/notification-handlers/{notification_handler_id}
| Parametrar | Detaljer | Beskrivning |
|---|---|---|
| name | Valfritt StrÀng | - |
| type | Valfritt StrÀng | TillÄtna vÀrden: email, webhook, slack, discord, telegram, microsoft_teams, twilio, twilio_call, whatsapp, x, google_chat, internal_notification, push_subscriber_id |
| Valfritt StrÀng | TillgÀnglig nÀr: type = email Email | |
| webhook | Valfritt StrÀng | TillgÀnglig nÀr: type = webhook Webhook URL |
| slack | Valfritt StrÀng | TillgÀnglig nÀr: type = slack Slack webhook URL |
| discord | Valfritt StrÀng | TillgÀnglig nÀr: type = discord Discord webhook URL |
| telegram | Valfritt StrÀng | TillgÀnglig nÀr: type = telegram Telegram API Token |
| telegram_chat_id | Valfritt StrÀng | TillgÀnglig nÀr: type = telegram Telegram Chat ID |
| microsoft_teams | Valfritt StrÀng | TillgÀnglig nÀr: type = microsoft_teams Microsoft Teams webhook URL |
| google_chat | Valfritt StrÀng | TillgÀnglig nÀr: type = google_chat Google Chat webhook URL |
| x_consumer_key | Valfritt StrÀng | TillgÀnglig nÀr: type = x Telegram API Token |
| x_consumer_secret | Valfritt StrÀng | TillgÀnglig nÀr: type = x Telegram API Token |
| x_access_token | Valfritt StrÀng | TillgÀnglig nÀr: type = x Telegram API Token |
| x_access_token_secret | Valfritt StrÀng | TillgÀnglig nÀr: type = x Telegram API Token |
| push_subscriber_id | Valfritt StrÀng | TillgÀnglig nÀr: type = push_subscriber_id Push subscriber |
| twilio | Valfritt StrÀng | TillgÀnglig nÀr: type = twilio Phone number |
| twilio_call | Valfritt StrÀng | TillgÀnglig nÀr: type = twilio_call Phone number |
| Valfritt StrÀng | TillgÀnglig nÀr: type = whatsapp Phone number | |
| is_enabled | Valfritt Boolean | - |
curl --request POST \
--url 'https://olinke.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://olinke.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://olinke.com/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://olinke.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://olinke.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \